<?php
namespace Teknisa\DF\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;

use Teknisa\DF\Services\Ger40100IntegracaoViaEmailService;

class Ger40100IntegracaoViaEmailController {
    
    protected $ger40100IntegracaoViaEmailService;

    public function __construct(Ger40100IntegracaoViaEmailService $ger40100IntegracaoViaEmailService) {
        $this->ger40100IntegracaoViaEmailService = $ger40100IntegracaoViaEmailService;
        set_time_limit(0);
    }

    public function saveIntegracaoViaEmail(Request $request, Response $response){
        try{
            $row = $request->getRow();
            
            $this->ger40100IntegracaoViaEmailService->saveIntegracaoViaEmail($row);
        }catch(\Exception $e){
            $response->setError(new Response\Error($e->getMessage(), 500));
        }
    }
    
    public function verificaEmail(Request $request, Response $response){
        try{
            $row = $request->getRow();
            
            $retorno = $this->ger40100IntegracaoViaEmailService->verificaEmail($row);
            $response->addDataset(new \Zeedhi\Framework\DataSource\DataSet('retornoMsg', array('msg' => $retorno)));
            //$response->setError(new \Zeedhi\Framework\DTO\Response\Error($retorno, 200));
            
            //$response->addMessage(new Response\Message($retorno));
        }catch(\Exception $e){
            $response->setError(new Response\Error($e->getMessage(), 500));
        }
    }
    
    public function verificaTodosEmails(Request $request, Response $response){
        try{
            $row = $request->getRow();
            $retorno = $this->ger40100IntegracaoViaEmailService->verificaTodosEmails($row);
            
            $response->addDataset(new \Zeedhi\Framework\DataSource\DataSet('retornoMsg', array('msg' => $retorno)));
            //$response->setError(new \Zeedhi\Framework\DTO\Response\Error($retorno, 200));
            
            //$response->addMessage(new Response\Message($retorno));
        }catch(\Exception $e){
            $response->setError(new Response\Error($e->getMessage(), 500));
        }
    }
}